import { RouteSlot } from '@teambit/ui.react-router.slot-router';
import React from 'react';
export interface TopBarProps extends React.HTMLAttributes<HTMLDivElement> {
    /**
     * top left corner of the top bar.
     */
    Corner: React.ComponentType;
    /**
     * slot for registering menus to the top-bar.
     */
    menu: RouteSlot;
}
/**
 * Top bar with corner and contextual menu.
 */
export declare function TopBar({ Corner, menu, className, ...rest }: TopBarProps): JSX.Element;
